ranges::views::adjacent_filter_fn Struct Reference
Inheritance diagram for ranges::views::adjacent_filter_fn:

## Public Member Functions

template<typename Pred >
constexpr auto | operator() (Pred pred) const
Public Member Functions inherited from ranges::views::adjacent_filter_base_fn
template<typename Rng , typename Pred >
CPP_TEMPLATE_AUX_0 | c (requires detail::adjacent_filter_constraints< Rng, Pred >) ccconstexpr adjacent_filter_view< all_t< Rng >
CPP_TEMPLATE_AUX_0 Pred | operator() (Rng &&rng, Pred pred) const

## Related Functions

(Note that these are not member functions.)
constexpr adjacent_filter_fn | adjacent_filter {}